/*
    Toggle Server on Null

    Toggles between adding and removing a null
	with a specified plugin applied. Only one
	instance may exist per plugin.

    To customize to your own needs, rename the
    file and specify the plugin name in the
    variable PLUGIN_NAME and it's type in 
    PLUGIN_TYPE. Make sure you enter a proper
    name and type!
    (See LWEXT*.cfg for the proper names to use
    and lscript documentation for types.)

    To use, just run the command!

    Use at own risk and feel free to modify!
    evenflcw@yahoo.com
*/
@version 2.2
@warnings
@script generic
@name "ef-SolidOverlay"

PLUGIN_NAME = "ef_SolidOverlay";
PLUGIN_TYPE = "CustomObjHandler";



generic
{
    selItem = Scene().getSelect();
    selItemCnt = selItem.size();

    if( !KillServer(PLUGIN_NAME) || !selItem )
        CreateServer(PLUGIN_NAME, PLUGIN_TYPE);

    if( selItem )
        Select(selItem);
}



CreateServer: name, type
{
    AddNull(name);
    SelectByName(name);
    ItemLock( 1 );
    ApplyServer(type, name);

    /*
        If you want the option panels to show
        everytime you start the server uncomment
        the line below:
    */

    //CommandInput( "EditServer "+type+" "+name );
}



KillServer: name
{
    SelectByName(name);

    item = Scene().firstSelect();
    if( item && item.name == name )
    {
        AutoConfirm(1);
        ClearSelected();
        AutoConfirm(0);
        CommandInput("FlushUnusedPlugins");
        
        return true;
    }

    return false;
}



Select: items
{
	if( !items.size() ) { //argument was single variable
		SelectItem( items.id );
		return;
	}
	
	else { //argument was array
	    SelectItem( items[items.size()].id );

	    for( i = items.size() - 1; i > 0; i-- )
	        AddToSelection( items[i].id );
	}
}













